# TokenReader

Abstract class for TokenReaders.

author | Manuel Holtgewe
package | phing.filters.util

### Methods

## Constructor.

    __construct(\Project $project)

### Arguments

#### $project

`\Project`

Reference to the project the TokenReader is used in.

## Utility function for logging.

    log( $level,  $msg) : void

### Arguments

#### $level

``

#### $msg

``

## Reads the next token from the Reader.

    readToken() : string

abstract

throws | On error

### Response

`string`

### Properties

## Reference to the Project the TokenReader is used in.

    project : \Project

var |

### Type(s)

`\Project`